// VARIABLES

// colors
$color-black: #181616;
$color-body: #1e2022;
$color-lightblue: #D4EBED;
$color-blue: #212442;
$color-white: #ffffff;
$color-red: #C52F2F;
$color-brown: #1b1611;


$color-container: #bdbeb8;
$color-card: #e7e5dd;

$color-progress: #dba93e;
$color-success: rgb(102, 201, 89);
$color-error: #f3554f;

// misc

$border-radius-lg: 30px;
$border-radius-sm: 5px;

$transition-duration: 200ms;
$transition-easing: ease-in-out;

// font related

$font-family: 'Raleway', sans-serif;
$font-family-accent: 'Nothing You Could Do', cursive;

$font-size-base: 15px;
$font-size-base-sm: 13px;
$font-size-base-lg: 20px;

$font-size-h3: 25px;
$font-size-h4: 18px;

$font-weight-light:  200;
$font-weight-regular: 400;
$font-weight-medium: 500;
$font-weight-bold: 600;

// helper styles

.is-hidden {
    display: none !important;
}

// text styles

h3,
.h3 {
    font-size: $font-size-h3;
    font-weight: $font-weight-bold;
    margin: 0;
}

h4,
.h4 {
    font-size: $font-size-h4;
    font-weight: $font-weight-medium;
    margin: 0;
}

ul {
    list-style: none;
}

li {
    & + & {
        margin-top: 8px;
    }
}

i.fas {
    margin-right: 8px;
    position: relative;
    top: -2px;
}


.text-accent {
    font-family: $font-family-accent;
    font-size: 35px;
}

// general

* {
    box-sizing: border-box;
    font-family: $font-family;
    font-size: $font-size-base;
}

html,
body {
    width: 100%;
    height: 100%;
    background-color: $color-body;
    margin: 0;
}

.app {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    padding: 50px 180px;

    @media only screen and (max-width: 1030px) {
        padding: 20px;
    }
}

.app__container {
    overflow: hidden;
    position: relative;

    border: 3px solid $color-blue;
    border-radius: $border-radius-lg;
    
    max-width: 1320px;
    width: 100%;
    height: 100%;
    
    padding: 30px;

    background-color: $color-container;
}

.app__logo {
    max-width: 1000px;
    width: 100%;
    height: auto;
}

#game-id {
    position: absolute;
    top: 5px;
    right: 30px;
}

.app__section {
    display: flex;
    background-color: $color-container;
    width: 100%;
    height: 100%;
    overflow: auto;
    -ms-overflow-style: none;
    scrollbar-width: none;

    &::-webkit-scrollbar {
        display: none;
    }
}

.app__action--centered {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.button {
    min-width: 120px;
    padding: 15px;
    
    background-color: $color-blue;
    
    border: none;
    border-radius: $border-radius-sm;
    outline: none;
    
    color: $color-white;
    font-size: $font-size-base-lg;
    font-weight: $font-weight-medium;

    cursor: pointer;

    transition: background-color $transition-duration $transition-easing;

    &:hover {
        outline: none;
        background-color: rgba($color-blue, .7);
    }

    &:active {
        outline: none;
    }
}

.button--secondary {
    background-color: transparent;
    width: 100%;
    color: $color-black;
    border-bottom: 2px solid $color-brown;
    border-radius: 0;
    
    &:hover {
        background-color: rgba($color-brown, .3);
    }
}

.button--large {
    min-width: 200px;
    padding: 28px 30px;
}

.app__section--intro {
    display: block;

    .app__container.is-succeeded & {
        display: none;
    }
}

.app__section--main {
    display: none;
    
    .app__container.is-succeeded & {
        display: block;
    }
}

.app__action-list {
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 30px;
}

.app__missions-description {
    margin-bottom: 20px;
}

// card styles

.card {
    background-color: $color-card;
    border: 2px solid $color-brown;
    border-radius: $border-radius-sm;
    padding: 10px;
    box-shadow: 0px 2px 3px rgba($color-body, .3);
    transition: $transition-duration $transition-easing;
    transition-property: background-color, box-shadow;

    & + &  {
        margin-top: 10px;
    }

    &:hover {
        cursor: pointer;
        background-color: rgba($color-card, .5);
        box-shadow: 0px 2px 3px rgba($color-body, .6);
    }

    &.is-success {
        pointer-events: none;
        opacity: .4;
        background-color: $color-card, .5;
        border: 3px solid $color-success;
    }

    &.is-failure {
        pointer-events: none;
        opacity: .4;
        background-color: $color-card, .5;
        border: 3px solid $color-error;
    }
}